gtkmm 2.4: Gtk::Settings Class Reference

Main Page Widgets Namespaces Book

# Gtk::Settings Class Reference

Inheritance diagram for Gtk::Settings:

[legend]
List of all members.

## Public Member Functions
const GtkSettings* | gobj () const
| Provides access to the underlying C GObject.
GtkSettings* | gobj ()
| Provides access to the underlying C GObject.
GtkSettings* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
virtual | ~Settings ()
## Static Public Member Functions
static Glib::RefPtr<Settings> | get_default ()
| Gets the Gtk::Settings object for the default GDK screen, creating it if necessary.
static Glib::RefPtr<Settings> | get_for_screen (const Glib::RefPtr<Gdk::Screen>& screen)
| Gets the Gtk::Settings object for screen , creating it if necessary.
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gtk::Settings> | wrap (GtkSettings* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::Settings::~Settings | ( |  | ) | `[virtual]`

## Member Function Documentation

static Glib::RefPtr<Settings> Gtk::Settings::get_default | ( |  | ) | `[static]`

| Gets the Gtk::Settings object for the default GDK screen, creating it if necessary. See get_for_screen(). Returns: A Gtk::Settings object. If there is no default screen, then returns `0`.

static Glib::RefPtr<Settings> Gtk::Settings::get_for_screen | ( | const Glib::RefPtr<Gdk::Screen>& | screen | ) | `[static]`

  | Gets the Gtk::Settings object for screen , creating it if necessary. Parameters:
  | screen | A Gdk::Screen.
Returns: A Gtk::Settings object. Since gtkmm 2.2:

const GtkSettings* Gtk::Settings::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

GtkSettings* Gtk::Settings::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

GtkSettings* Gtk::Settings::gobj_copy | ( |  | ) |

| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## Friends And Related Function Documentation

Glib::RefPtr<Gtk::Settings> wrap | ( | GtkSettings* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

  | Parameters:
  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.
Returns: A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- settings.h